Create
curl --request POST \
--url https://api-staging.genuka.com/2023-11/admin/shops \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"currency_code": "XAF",
"description": "C'est la boutique de Douala",
"metadata": {
"genukaId": "id"
},
"name": "La boutique de test"
}
EOFimport requests
url = "https://api-staging.genuka.com/2023-11/admin/shops"
payload = {
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"currency_code": "XAF",
"description": "C'est la boutique de Douala",
"metadata": { "genukaId": "id" },
"name": "La boutique de test"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company_id: '01hqydxwtxdj3kmzp3bz7jk73g',
currency_code: 'XAF',
description: 'C\'est la boutique de Douala',
metadata: {genukaId: 'id'},
name: 'La boutique de test'
})
};
fetch('https://api-staging.genuka.com/2023-11/admin/shops', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": null,
"company": {
"company_code": null,
"created_at": "2025-07-29T09:31:59.000000Z",
"currency_code": "XAF",
"currency_name": "FCFA",
"description": null,
"handle": "demo-company",
"id": "01hqydxwtxdj3kmzp3bz7jk73g",
"logoUrl": null,
"metadata": {
"payment_terms": {
"accepted_at": "2025-07-30T08:57:08.517Z",
"accepted_by": "Payton Donnelly "
}
},
"name": "Demo Company",
"shops": [
{
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-07-29T09:32:01.000000Z",
"currency_code": "XAF",
"currency_name": "FCFA",
"deleted_at": null,
"description": "Debitis non rerum aperiam tenetur placeat ut dignissimos.",
"id": "01k1amypzhgs7fngfx1r9d37pn",
"metadata": null,
"name": "Brekke Group",
"slug": "brekke-group",
"updated_at": "2025-07-29T09:32:01.000000Z"
},
{
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-07-29T09:32:01.000000Z",
"currency_code": "XAF",
"currency_name": "FCFA",
"deleted_at": null,
"description": "Deleniti eum sit dolore quaerat sit est cumque eveniet.",
"id": "01k1amyq13d2mv8y05c8ym6t7b",
"metadata": null,
"name": "Champlin LLC",
"slug": "champlin-llc",
"updated_at": "2025-07-29T09:32:01.000000Z"
},
{
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-10-10T15:17:48.000000Z",
"currency_code": "XAF",
"currency_name": null,
"deleted_at": null,
"description": "C'est la boutique de Douala",
"id": "01k77b674gsqhykmbfp5hn1n7a",
"metadata": null,
"name": "La boutique de test",
"slug": "la-boutique-de-test",
"updated_at": "2025-10-10T15:17:48.000000Z"
},
{
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-07-29T09:32:00.000000Z",
"currency_code": "XAF",
"currency_name": "FCFA",
"deleted_at": null,
"description": "Perspiciatis aut quia magnam et eum modi vel.",
"id": "01k1amypyvbq2zkntkvqsma3ps",
"metadata": null,
"name": "Pfeffer Ltd",
"slug": "pfeffer-ltd",
"updated_at": "2025-07-29T09:32:00.000000Z"
}
],
"type": "business",
"updated_at": "2025-07-30T09:57:08.000000Z"
},
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-10-10T15:17:48.000000Z",
"currency_code": "XAF",
"currency_name": null,
"description": "C'est la boutique de Douala",
"domains": [],
"id": "01k77b674gsqhykmbfp5hn1n7a",
"logo": null,
"logoUrl": "",
"name": "La boutique de test",
"updated_at": "2025-10-10T15:17:48.000000Z",
"warehouses": []
}Shops
Create shop
Creates a new shop under the authenticated company. This endpoint allows you to define a shop’s name, address, contact information, and other optional metadata. Once created, the shop will be available for product assignments, employee management, and order tracking.
POST
/
2023-11
/
admin
/
shops
Create
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"{{companyId}}"
Body
application/json
Response
200 - application/json
200
Show child attributes
Show child attributes
Example:
"01hqydxwtxdj3kmzp3bz7jk73g"
Example:
"2025-10-10T15:17:48.000000Z"
Example:
"XAF"
Example:
"C'est la boutique de Douala"
Example:
[]
Example:
"01k77b674gsqhykmbfp5hn1n7a"
Example:
""
Example:
"La boutique de test"
Example:
"2025-10-10T15:17:48.000000Z"
Example:
[]
⌘I
